<?php
/**
 * aaa functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package aaa
 */

if ( ! defined( '_S_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( '_S_VERSION', '1.0.0' );
}

if ( ! function_exists( 'aaa_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function aaa_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on aaa, use a find and replace
		 * to change 'aaa' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'aaa', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );

		// This theme uses wp_nav_menu() in one location.
		register_nav_menus(
			array(
				'menu-1' => esc_html__( 'Primary', 'aaa' ),
			)
		);

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
			)
		);

		// Set up the WordPress core custom background feature.
		add_theme_support(
			'custom-background',
			apply_filters(
				'aaa_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'aaa_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function aaa_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'aaa_content_width', 640 );
}
add_action( 'after_setup_theme', 'aaa_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function aaa_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'aaa' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'aaa' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'aaa_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function aaa_scripts() {
	wp_enqueue_style( 'aaa-style', get_stylesheet_uri(), array(), _S_VERSION );
	wp_style_add_data( 'aaa-style', 'rtl', 'replace' );


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'aaa_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}



/**
 * Fonction qui ajoute un checkbox pour déployer les sous-menus.
 */

add_filter( 'walker_nav_menu_start_el' , 'wpcookbook_nav_menu_start_el', 10, 4 );
/**
* Filters the menu item HTML
*
* @param string $output The menu item's starting HTML output.
* @param WP_Post $item The current menu item.
* @param int $depth Depth of menu item. Used for padding.
* @param array $args An object of wp_nav_menu() arguments.
* @return $output The menu item's final HTML output.
*/
function wpcookbook_nav_menu_start_el( $output, $item, $depth, $args ){
$idmenu = $item->ID ;	
if( in_array( 'menu-item-has-children', $item->classes, true ) ) {
$output .= '<input type="checkbox" id="checkbox-'.$idmenu.'" class="sous-menu-checkbox"><label for="checkbox-'.$idmenu.'" class="sous-menu-label">&nbsp;</label>
';
    }
return $output;
    }

// MODIFICATION DES PALETTES DE COULEUR (IL FAUT AJOUTER LES COULERUS DANS LE CSS)
add_theme_support( 'editor-color-palette', array(
    array(
        'name' => __('Pays de Morlaix', 'slug' ),
        'slug' => 'pays-de-morlaix',
        'color' => '#3EAF84',
    ),
	array(
        'name' => __('Scot', 'slug' ),
        'slug' => 'scot',
        'color' => '#D1D161',
    ),
	array(
        'name' => __( 'Eau', 'slug' ),
        'slug' => 'eau',
        'color' => '#88C9B1',
    ),
	array(
        'name' => __( 'Santé', 'slug' ),
        'slug' => 'sante',
        'color' => '#EA4D51',
    ),
	array(
        'name' => __( 'Emploi et formation', 'slug' ),
        'slug' => 'emploi-formation',
        'color' => '#6B4696',
    ),
    array(
        'name' => __( 'Patrimoine', 'slug' ),
        'slug' => 'patrimoine',
        'color' => '#F0837A',
    ),
    array(
        'name' => __( 'Innovation', 'slug' ),
        'slug' => 'innovation',
        'color' => '#7CA9DB',
    ),		
    array(
        'name' => __( 'Financements', 'slug' ),
        'slug' => 'financements',
        'color' => '#BC99C8',
    ),	   
    array(
        'name' => __( 'Conseil de développement', 'slug' ),
        'slug' => 'conseil-developpement',
        'color' => '#2fc0f2',
    ),	
) );

// Suppression des couleurs sur mesure
add_theme_support( 'disable-custom-colors' );

// FIN MODIFICATION DES PALETTES DE COULEUR 

// DÉSACTIVER LES COMMENTAIRES 
add_filter('comments_open', 'desactive_commentaires', 10, 2);
function desactive_commentaires( $actif, $post_id ) {
	$post = get_post($post_id);
	$actif = false;
	return $actif;
}